using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace namestanjeGlasanja
{
    class Program
    {
        static void Main(string[] args)
        {
            String[] s = Console.ReadLine().Split(' ');
            int n = Convert.ToInt32(s[0]);
            int q = Convert.ToInt32(s[1]);

            int[] a = new int[200000];
            int[] b = new int[200000];

            s = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                a[i] = Convert.ToInt32(s[i]);
            }
            s = Console.ReadLine().Split(' ');
            for (int i = 0; i < q; i++)
            {
                b[i] = Convert.ToInt32(s[i]);
            }

            //sortiranje
            for (int i = 0; i < n; i++)
            {
                for (int j = i + 1; j < n; j++)
                {
                    if (a[j] < a[i])
                    {
                        int tmp = a[i];
                        a[i] = a[j];
                        a[j] = tmp;
                    }
                }
            }

            for (int i = 0; i < n; i++)
            {
                Console.Write(a[i].ToString() + " ");
            }
            Console.WriteLine();

            int medijana = a[n / 2];

            for (int i = 0; i < q; i++)
            {
                int current = b[i];

                int brojac = 0;

                if (medijana == current)
                {
                    Console.WriteLine(brojac.ToString());
                }
                else
                {
                    if (b[i] < medijana)
                    {
                        int pozicija = -1;
                        for (int j = 0; j < n; j++)
                        {
                            if (a[j] == b[i])
                            {
                                pozicija = j;
                                break;
                            }
                        }
                        if (pozicija != -1)
                        {
                            Console.WriteLine((n - (pozicija + 1) - pozicija).ToString());
                        }
                        else
                        {
                            if (current < a[0])
                            {
                                Console.WriteLine(n.ToString());
                            }
                            for (int j = 0; j < n - 1; j++)
                            {
                                if (current < a[j + 1] && current > a[j])
                                {
                                    Console.WriteLine((n - (j + 1) - (j + 1) + 1).ToString());
                                }
                            }
                        }
                    }
                    else if (b[i] > medijana)
                    {
                        int pozicija = -1;
                        for (int j = 0; j < n; j++)
                        {
                            if (a[j] == b[i])
                            {
                                pozicija = j;
                                break;
                            }
                        }
                        if (pozicija != -1)
                        {
                            Console.WriteLine((pozicija - 1 - (n - (pozicija + 1))).ToString());
                        }
                        else
                        {
                            if (current > a[n - 1])
                            {
                                Console.WriteLine(n.ToString());
                            }
                            for (int j = 0; j < n - 1; j++)
                            {
                                if (current < a[j + 1] && current > a[j])
                                {
                                    Console.WriteLine((j + 1 - (n - (j + 1))).ToString());
                                }
                            }
                        }
                    }
                }
            }
                     
            //Console.ReadKey();
        }
    }
}